#ifndef PMDCAMCUBESOURCEPLUGINFACTORY_H__
#define PMDCAMCUBESOURCEPLUGINFACTORY_H__

#include <QObject>
#include "ritkPluginFactories.h"

class PMDCamCubeSourcePluginFactory : public QObject, public ritk::SourcePluginFactory
{
	Q_OBJECT
	Q_INTERFACES(ritk::SourcePluginFactory)

public:
	/// Constructor
	PMDCamCubeSourcePluginFactory();
	/// Destructor
	~PMDCamCubeSourcePluginFactory();

	/// Create an instance of the player plugin
	ritk::SourcePlugin* CreateInstance();

	/// Return the name of the player plugin
	QString GetName();

	/// Return a short description for this player plugin
	QString GetDescription();
};


#endif // PMDCAMCUBESOURCEPLUGINFACTORY_H__
