/*======================================================================================

	Program:		Range Imaging Toolkit (RITK)
	Module:			ritkThreadedJob.cxx
	Version:		$Revision: 1761 $
	Date:			$Date: 2011-09-23 17:25:41 +0200 (Fr, 23 Sep 2011) $

	Copyright (c) 2010-2011
	Pattern Recognition Lab, 
    University Erlangen-Nuremberg, Germany
    All rights reserved.

	This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. 
	See RITKCopyright.txt for more information.

	http://www5.informatik.uni-erlangen.de/research/software/ritk

========================================================================================*/

#include "ritkThreadedJob.h"
#include <iostream>

namespace ritk
{

ThreadedJob::ThreadedJob()
{
}

ThreadedJob::~ThreadedJob()
{
	//std::cout << "Destructor called for threaded job@" << this << std::endl;
}

bool
ThreadedJob::DeleteAfterExecution()
{
	return true;
}


} // end namespace ritk
